---
title: HTMLTableCaptionElement
slug: Web/API/HTMLTableCaptionElement
tags:
  - API
  - HTML DOM
  - Interface
  - Reference
---
<div>
<div>{{ APIRef("HTML DOM") }}</div>
</div>

<p>The <strong><code>HTMLTableCaptionElement</code></strong> interface special properties (beyond the regular {{domxref("HTMLElement")}} interface it also has available to it by inheritance) for manipulating table caption elements.</p>

<p>{{InheritanceDiagram(600, 120)}}</p>

<h2 id="Properties">Properties</h2>

<p><em>Inherits properties from its parent, {{domxref("HTMLElement")}}.</em></p>

<dl>
	<dt>{{domxref("HTMLTableCaptionElement.align")}} {{obsolete_inline}}</dt>
	<dd>Is a {{domxref("DOMString")}} which represents an enumerated attribute indicating alignment of the caption with respect to the table.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>No specific method; inherits properties from its parent, {{domxref("HTMLElement")}}</em>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('HTML WHATWG', "tabular-data.html#htmltablecaptionelement", "HTMLTableCaptionElement")}}</td>
			<td>{{Spec2('HTML WHATWG')}}</td>
			<td>No change from {{SpecName("HTML5 W3C")}}.</td>
		</tr>
		<tr>
			<td>{{SpecName('HTML5 W3C', "tabular-data.html#the-caption-element", "HTMLTableCaptionElement")}}</td>
			<td>{{Spec2('HTML5 W3C')}}</td>
			<td>No change from {{SpecName("DOM2 HTML")}}, though <code>align</code> was formerly obsoleted.</td>
		</tr>
		<tr>
			<td>{{SpecName('DOM2 HTML', 'html.html#ID-12035137', 'HTMLTableCaptionElement')}}</td>
			<td>{{Spec2('DOM2 HTML')}}</td>
			<td>No change from {{SpecName("DOM1")}}.</td>
		</tr>
		<tr>
			<td>{{SpecName('DOM1', 'level-one-html.html#ID-12035137', 'HTMLTableCaptionElement')}}</td>
			<td>{{Spec2('DOM1')}}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLTableCaptionElement")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li>The HTML element implementing this interface: {{HTMLElement("caption")}}.</li>
</ul>
